﻿using Syncfusion.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sfgrid_sample
{
    public class CustomAggregate:ISummaryAggregate
    {
        public CustomAggregate()
        {
        }
        public double PositiveSummation { get; set; }

        public Action<System.Collections.IEnumerable, string, System.ComponentModel.PropertyDescriptor> CalculateAggregateFunc()
        {
            return (items, property, pd) =>
            {
                var enumerableItems = items as IEnumerable<OrderInfo>;
               foreach(var item in enumerableItems)
               {
                   if(item.Discount>=0)
                   {
                       this.PositiveSummation += item.Discount;
                   }
               }               
            };
        }
    }

}
