﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;

namespace Sfgrid_sample
{
    public class CustomCellStyleSelector : StyleSelector
    {
        public override Style SelectStyle(object item, System.Windows.DependencyObject container)
        {
            var order = item as OrderInfo;
            if (order.OrderID <= 1005)
                return App.Current.Resources["cellStyle1"] as Style;
            else
                return App.Current.Resources["cellStyle2"] as Style;
            return base.SelectStyle(item, container);
        }

    }
}
