﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Dynamic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sfgrid_sample
{
    public class ViewModel
    {
        
        private bool allowFiltering = true;
        public bool AllowFiltering
        {
            get { return allowFiltering; }
            set { allowFiltering = value; }
        }

        private ObservableCollection<OrderDetails> comboItems;
        public ObservableCollection<OrderDetails> ComboItems
        {
            get { return comboItems; }
            set { comboItems = value; }
        }
        private ObservableCollection<OrderInfo> _orders;
        public ObservableCollection<OrderInfo> Orders
        {
            get { return _orders; }
            set { _orders = value; }
        }

private static bool OnCanDelete(object obj)
{
    return true;
}

private void OnDeleteRecordClicked(object obj)
{           
    //TODO ACTION.
}

        public ViewModel()
        {
            _orders = new ObservableCollection<OrderInfo>();
            this.GenerateOrders();
        }

        private void GenerateOrders()
        {
            comboItems = new ObservableCollection<OrderDetails>();
            comboItems.Add(new OrderDetails(1000,"Alice Mutton"));
            comboItems.Add(new OrderDetails(1001,"NuNuCa Nuß-Nougat-Creme"));
            comboItems.Add(new OrderDetails(1002,"Boston Crab Meat"));
            comboItems.Add(new OrderDetails(1003,"Raclette Courdavault"));
            comboItems.Add(new OrderDetails(1004,"Wimmers gute   Semmelknödel"));
            comboItems.Add(new OrderDetails(1005,"Gorgonzola Telino"));
            comboItems.Add(new OrderDetails(1006,"Chartreuse verte"));
            comboItems.Add(new OrderDetails(1007,"Fløtemysost"));
            comboItems.Add(new OrderDetails(1008,"Carnarvon Tigers"));
            comboItems.Add(new OrderDetails(1009,"Thüringer Rostbratwurst"));
            comboItems.Add(new OrderDetails(1010,"Vegie-spread"));
            //_orders.Add(new Repository() { OrderDetail = new OrderInfo(1001, "Anders", "US", "FKI", "Berlin", 43350, 10, 3, "55422", new TimeSpan(12, 7, 45, 10), new DateTime(2010, 5, 10), true, "Boston Crab Meat") });
            //_orders.Add(new Repository() { OrderDetail = new OrderInfo(1002, "Hanna Moos", "US", "BLAUS", "Mannheim", 5345, 55, 20, "9548458", new TimeSpan(4, 9, 30, 40), new DateTime(1997, 7, 24), false, "Chartreuse verte") });
           // orderDetail=newnew OrderInfo(1001, "Anders", "US", "FKI", "Berlin", 43350, 10, 3, "55422", new TimeSpan(12, 7, 45, 10), new DateTime(2010, 5, 10), true, "Boston Crab Meat"));
//_orders.Add(new OrderInfo(1000, "Maria Anders", "UK", "ALFKI", "Berlin", 34343, 10, 5, "984535", null, null, true, "Alice Mutton"));
            _orders.Add(new OrderInfo(1000, "Ana Trujilo", "Japan", "ANATR", "México D.F.", 53345, 25, -10, "88454", new TimeSpan(9, 8, 12, 30), new DateTime(2011, 7, 12), false, "NuNuCa Nuß-Nougat-Creme"));
            _orders.Add(new OrderInfo(1001, "Anders", "US", "FKI", "Berlin", 43350, 10, 3, "55422", new TimeSpan(12, 7, 45, 10), new DateTime(2010, 5, 10), true, "Boston Crab Meat"));
            _orders.Add(new OrderInfo(1001, "Antonio Moreno", "UK", "ANTON", "México D.F.", 13433, 30,- 15, "945594", new TimeSpan(8, 2, 5, 50), new DateTime(2013, 4, 20), true, "Raclette Courdavault"));
            _orders.Add(new OrderInfo(1001, "Thomas Hardy", "UK", "AROUT", "London", 60434, 40, 25, "54445", new TimeSpan(8, 4, 20, 60), new DateTime(1990, 5, 20), false, "Wimmers gute Semmelknödel"));
            _orders.Add(new OrderInfo(1001, "Christina Berglund", "Japan", "BERGS", "Luleå", 36343, 25, -13, "9853734", new TimeSpan(12, 4, 60), new DateTime(1998, 7, 28), true, "Gorgonzola Telino"));
            _orders.Add(new OrderInfo(1002, "Hanna Moos", "US", "BLAUS", "Mannheim", 5345, 55, -20, "9548458", new TimeSpan(4, 9, 30, 40), new DateTime(1997, 7, 24), false, "Chartreuse verte"));
            _orders.Add(new OrderInfo(1002, "Frédérique Citeaux", "UK", "BLONP", "Strasbourg", 70453, 22,- 21, "959484", new TimeSpan(6, 5, 25, 30), new DateTime(2016, 2, 25), false, "Fløtemysost"));
            _orders.Add(new OrderInfo(1002, "Martin Sommer", "Japan", "BOLID", "Madrid", 84340, 12, -12, "98484", new TimeSpan(5, 9, 12, 35), new DateTime(2010, 2, 21), true, "Carnarvon Tigers"));
            _orders.Add(new OrderInfo(1005, "Laurence Lebihan", "US", "BONAP", "Marseille", 30335, 10, -10, "948889", new TimeSpan(8, 2, 5, 60), new DateTime(2011, 7, 21), true, "Thüringer Rostbratwurst"));
            _orders.Add(new OrderInfo(1005, "Elizabeth Lincoln", "UK", "BOTTM", "Tsawassen", 65760, 10,- 22, "98383", new TimeSpan(9, 12, 4, 6), new DateTime(2000, 12, 12), true, "Vegie-spread"));
           
            //_orders.Add(new OrderInfo(1000, "Maria Anders", "UK", "ALFKI", "Berlin", 34343, 10,5, "984535", null, null, true,"Alice Mutton"));
            //_orders.Add(new OrderInfo(1001, "Ana Trujilo", "Japan", "ANATR", "México D.F.", 53345, 25, 10, "88454", new TimeSpan(9, 8, 12, 30), new DateTime(2011, 7, 12), false, "NuNuCa Nuß-Nougat-Creme"));
            //_orders.Add(new OrderInfo(1002, "Anders", "US", "FKI", "Berlin", 43350, 30, 3, "55422", new TimeSpan(12, 7, 45, 10), new DateTime(2010, 5, 10), true, "Boston Crab Meat"));
            //_orders.Add(new OrderInfo(1003, "Antonio Moreno", "UK", "ANTON", "México D.F.", 13433, 30, 15, "945594", new TimeSpan(8, 2, 5, 50), new DateTime(2013, 4, 20), true, "Raclette Courdavault"));
            //_orders.Add(new OrderInfo(1004, "Thomas Hardy", "UK", "AROUT", "London", 60434, 40, 25, "54445", new TimeSpan(8, 4, 20, 60), new DateTime(1990, 5, 20), false, "Wimmers gute Semmelknödel"));
            //_orders.Add(new OrderInfo(1005, "Christina Berglund", "Japan", "BERGS", "Luleå", 36343, 25, 13, "9853734", new TimeSpan(12, 4, 60), new DateTime(1998, 7, 28), true, "Gorgonzola Telino"));
            //_orders.Add(new OrderInfo(1006, "Hanna Moos", "US", "BLAUS", "Mannheim", 5345, 55, 20, "9548458", new TimeSpan(4, 9, 30, 40), new DateTime(1997, 7, 24), false, "Chartreuse verte"));
            //_orders.Add(new OrderInfo(1007, "Frédérique Citeaux", "UK", "BLONP", "Strasbourg", 70453, 22, 21, "959484", new TimeSpan(6, 5, 25, 30), new DateTime(2016, 2, 25), false, "Fløtemysost"));
            //_orders.Add(new OrderInfo(1008, "Martin Sommer", "Japan", "BOLID", "Madrid", 84340, 12, 12, "98484", new TimeSpan(5, 9, 12, 35), new DateTime(2010, 2, 21), true, "Carnarvon Tigers"));
            //_orders.Add(new OrderInfo(1009, "Laurence Lebihan", "US", "BONAP", "Marseille", 30335, 10, 10, "948889", new TimeSpan(8, 2, 5, 60), new DateTime(2011, 7, 21), true, "Thüringer Rostbratwurst"));
            //_orders.Add(new OrderInfo(1010, "Elizabeth Lincoln", "UK", "BOTTM", "Tsawassen", 65760, 10, 22, "98383", new TimeSpan(9, 12, 4, 6), new DateTime(2000, 12, 12), true, "Vegie-spread"));
           
        }
    }
    public class Repository
    {
        private OrderInfo orderDetail;
        public OrderInfo OrderDetail
        {
            get { return orderDetail; }
            set { orderDetail = value; }
        }
    }
}
